Skip to content

Collections

Create collection case

Scope: cases:write

Terminal window
curl -X POST https://app.rieck.nu/api/v1/cases \
-H "Authorization: Bearer $RIECK_API_KEY" \
-H "Idempotency-Key: order-2041" \
-d '{
"fordringer": [
{
"hovedstolOere": 125000,
"forfaldsdato": "…"
}
],
"skyldnere": [
{
"skyldnerType": "person",
"navn": "…",
"cvr": "12345678",
"adresse": {},
"email": "ap@acme.example"
}
],
"externalReference": "crm-9001"
}'
Request body — fuldt JSON Schema
{
"type": "object",
"properties": {
"fordringer": {
"minItems": 1,
"maxItems": 50,
"type": "array",
"items": {
"type": "object",
"properties": {
"hovedstolOere": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 100000000000
},
"forfaldsdato": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"fakturadato": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"beskrivelse": {
"type": "string",
"minLength": 1,
"maxLength": 300
}
},
"required": [
"hovedstolOere",
"forfaldsdato"
],
"additionalProperties": false
}
},
"skyldnere": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"skyldnerType": {
"type": "string",
"enum": [
"person",
"virksomhed"
]
},
"navn": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"cvr": {
"type": "string",
"pattern": "^\\d{8}$"
},
"cpr": {
"type": "string",
"maxLength": 64
},
"adresse": {
"type": "object",
"properties": {
"gade": {
"type": "string",
"maxLength": 200
},
"postnummer": {
"type": "string",
"maxLength": 10
},
"by": {
"type": "string",
"maxLength": 100
},
"land": {
"type": "string",
"maxLength": 100
},
"darId": {
"type": "string",
"maxLength": 36
},
"kommunekode": {
"type": "string",
"pattern": "^\\d{4}$"
}
},
"additionalProperties": false
},
"email": {
"type": "string",
"maxLength": 254
},
"mobil": {
"type": "string",
"maxLength": 20
}
},
"required": [
"skyldnerType",
"navn"
],
"additionalProperties": false
}
},
"externalReference": {
"type": "string",
"minLength": 1,
"maxLength": 120
}
},
"required": [
"fordringer",
"skyldnere",
"externalReference"
],
"additionalProperties": false
}

Case status (PII-free)

Scope: cases:read

Terminal window
curl https://app.rieck.nu/api/v1/cases/9b2f1c1e-… \
-H "Authorization: Bearer $RIECK_API_KEY"

Submit terms-acceptance evidence

Scope: terms:accept

Terminal window
curl -X POST https://app.rieck.nu/api/v1/betingelse-accept \
-H "Authorization: Bearer $RIECK_API_KEY" \
-H "Idempotency-Key: order-2041" \
-d '{
"betingelseVersion": "…",
"betingelseHash": "…",
"accepteretKl": "…",
"idempotensnoegle": "…",
"fakturaId": "9b2f1c1e-…"
}'
Request body — fuldt JSON Schema
{
"type": "object",
"properties": {
"fakturaId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"eksternOrdreRef": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"betingelseVersion": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"betingelseHash": {
"type": "string",
"pattern": "^[0-9a-f]{64}$"
},
"accepteretKl": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"idempotensnoegle": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"required": [
"betingelseVersion",
"betingelseHash",
"accepteretKl",
"idempotensnoegle"
]
}